Page MenuHomePhabricator

Frequently getting broken echo notifications: "was linked from [No page]"
Closed, ResolvedPublic

Description

once or twice a week i get the echo notification

"Beta Features was linked from [No page]."

its not always the Beta Features page, but frequently is.


See Also:

Details

Reference
bz71534

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:55 AM
bzimport added a project: Notifications.
bzimport set Reference to bz71534.
bzimport added a subscriber: Unknown Object (MLST).
  • Bug 71654 has been marked as a duplicate of this bug. ***
matthiasmullie closed this task as Resolved.Dec 10 2014, 4:42 PM
matthiasmullie claimed this task.

I recall us fixing this some time ago. Not sure if the issue was exactly the thing we fixed, though.

I'll close this for now - please reopen should you still encounter the problem!

Jaredzimmerman-WMF reopened this task as Open.Dec 10 2014, 7:59 PM
Jaredzimmerman-WMF set Security to None.

reopening, I got one of these on monday

Oh, I got one today and was going to file a bug.

Note that this is by e-mail. These happen in the web UI too, but there it's understandable (the page was deleted after the notification was sent); but in e-mail, where we can check if the page exists before sending the notification, it's not.

matthiasmullie removed matthiasmullie as the assignee of this task.Dec 11 2014, 7:42 AM
matthiasmullie triaged this task as High priority.
He7d3r added a subscriber: He7d3r.Jan 20 2015, 6:36 PM

This was also reported by @MachoCarioca at
https://pt.wikipedia.org/w/index.php?diff=41131641&oldid=41125389&uselang=en
We confirmed the message had that format when I deleted a page where I mentioned the user earlier.

Teles added a subscriber: Teles.Jun 10 2015, 4:22 PM
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 8:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2015, 9:52 PM

Checked the fix in betalabs - the current solution is to purge all echo notifications about linking if a page(s) was deleted.

  • E.g. if a user receives notification 'A link was made from ‪Mavetuna23‬ to ‪Mavetuna821‬.' And, then '‪Mavetuna23' is deleted, the notification will be removed.
  • if 'Mavetuna821' is deleted, the notification also will be removed.

@jmatazzoni please confirm that it's expected behavior.

matej_suchanek removed a subscriber: wikibugs-l-list.
jmatazzoni closed this task as Resolved.May 26 2016, 8:13 PM
jmatazzoni claimed this task.

please confirm that it's expected behavior.

If one of the linked pages no longer exists, then there is no link. So deleting the message makes sense to me. Thanks for asking.

I'm reading @Etonkovidova's message to mean that that solution is currently working, so I'm Resolving this (if that solution is not yet in place or tested, let me know and we can reopen).